<?php
/* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | http://www.issabel.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2020 Issabel                                           |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  $Id: index.php,v 1.0 2020/04/25 German Venturino
*/

class Applet_IssabelContactCenter
{
    function handleJSON_getContent($smarty, $module_name, $appletlist) {

        $output=`/usr/local/bin/issabel_register_license -check | grep issabel-contact-center`;
        if($output<>"") {
            if(preg_match("/Expired/i",$output)) {
                $status="expired";
                $led="led-yellow";

                $fields = preg_split('/\s+/', trim($output));
                $expireDate = isset($fields[2]) ? $fields[2] : '';
                $smarty->assign("LICENSE_EXPIRE", $expireDate);

            } else {
                $status="ok";
                $led="led-green";

                $fields = preg_split('/\s+/', trim($output));
                $expireDate = isset($fields[2]) ? $fields[2] : '';
                $smarty->assign("LICENSE_EXPIRE", $expireDate);
            }
        } else {
            $status="notok";
            $led="led-red";
        }

        $smarty->assign("LICENSE_STATUS", $status);

    $lang = array(
        'license_not_found' => _tr('License Not Found'),
        'demo_mode_message' => _tr('You are currently running in Demo Mode, which includes limited functionality:'),
        'demo_feature_1' => _tr('15 buttons on the Agent Console'),
        'demo_feature_2' => _tr('Agent assignment with webphone capabilities'),
        'demo_feature_3' => _tr('Omnichannel chat limited to Telegram only'),
        'demo_feature_4' => _tr('No access to reports or dialer functionality'),
        'purchase_license' => _tr('Purchase a License'),
        'license_expired' => _tr('License Has Expired'),
        'expired_message' => _tr('Your license has expired. To continue using all features, please renew your license.'),
        'renew_license' => _tr('Renew Your License'),
        'license_active' => _tr('License Active'),
        'license_valid_until' => _tr('Your license is valid and active. License expiration date:')
    );
    
    $smarty->assign("LANG", $lang);

        $local_templates_dir = dirname($_SERVER['SCRIPT_FILENAME'])."/modules/$module_name/applets/IssabelContactCenter/tpl";
        $respuesta['html'] = $smarty->fetch("$local_templates_dir/issabelcontactcenter.tpl");
        $json = new Services_JSON();
        Header('Content-Type: application/json');
        return $json->encode($respuesta);
    }


    function handleJSON_updateStatus($smarty, $module_name, $appletlist) {

        $output=`/usr/local/bin/issabel_register_license -check | grep issabel-contact-center`;
        if($output<>"") {
            if(preg_match("/Expired/i",$output)) {
                $status=_tr('License Has Expired');
                $led="led-yellow";
            } else {
                $status="ok";
                $led="led-green";
            }
        } else {
            $status=_tr('License Not Found');
            $led="led-red";
        }

        $servicio = array(
                    'name'               =>  "Issabel Contact Center",
                    'status'             =>  $status,
                    'led'                =>  $led,
                    );
         $part[] = $servicio;

        $json = new Services_JSON();
        Header('Content-Type: application/json');
        return $json->encode($part);
    }

}

